org.h2gis.functions.io.geojson

## Class GeoJsonDriverFunction

- java.lang.Object
- - org.h2gis.functions.io.geojson.GeoJsonDriverFunction

All Implemented Interfaces:
  org.h2gis.api.DriverFunction

    public class GeoJsonDriverFunction
    extends Object
    implements org.h2gis.api.DriverFunction

GeoJSON driver to import a GeoJSON file and export a spatial table in a GeoJSON 1.0 file.

Author:
  Erwan Bocher

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.h2gis.api.DriverFunction

`org.h2gis.api.DriverFunction.IMPORT_DRIVER_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`GeoJsonDriverFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `exportTable(Connection connection, String tableReference, File fileName, org.h2gis.api.ProgressVisitor progress)`
`String[]` `getExportFormats()`
`String` `getFormatDescription(String format)`
`org.h2gis.api.DriverFunction.IMPORT_DRIVER_TYPE` `getImportDriverType()`
`String[]` `getImportFormats()`
`void` `importFile(Connection connection, String tableReference, File fileName, org.h2gis.api.ProgressVisitor progress)`
`boolean` `isSpatialFormat(String extension)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeoJsonDriverFunction

    public GeoJsonDriverFunction()

### Method Detail

#### getImportDriverType

    public org.h2gis.api.DriverFunction.IMPORT_DRIVER_TYPE getImportDriverType()

Specified by:
  `getImportDriverType` in interface `org.h2gis.api.DriverFunction`

#### getImportFormats

    public String[] getImportFormats()

Specified by:
  `getImportFormats` in interface `org.h2gis.api.DriverFunction`

#### getExportFormats

    public String[] getExportFormats()

Specified by:
  `getExportFormats` in interface `org.h2gis.api.DriverFunction`

#### getFormatDescription

    public String getFormatDescription(String format)

Specified by:
  `getFormatDescription` in interface `org.h2gis.api.DriverFunction`

#### isSpatialFormat

    public boolean isSpatialFormat(String extension)

Specified by:
  `isSpatialFormat` in interface `org.h2gis.api.DriverFunction`

#### exportTable

    public void exportTable(Connection connection,
                            String tableReference,
                            File fileName,
                            org.h2gis.api.ProgressVisitor progress)
                     throws SQLException,
                            IOException

Specified by:
  `exportTable` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

#### importFile

    public void importFile(Connection connection,
                           String tableReference,
                           File fileName,
                           org.h2gis.api.ProgressVisitor progress)
                    throws SQLException,
                           IOException

Specified by:
  `importFile` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`